#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'gtk2'

widget3 = Gtk::Button.new(' VERY LONG STRING GOES IN HERE              ')
widget4 = Gtk::Label.new('short-label-there')

size_group = Gtk::SizeGroup.new(Gtk::SizeGroup::HORIZONTAL)

widget1 = Gtk::HBox.new
widget1.add(widget3)
widget1.add(widget4)
widget1.show_all

widget2 = Gtk::Label.new('AAAAAAAAAA')

size_group.add_widget( widget1 )
size_group.add_widget( widget2 )

window = Gtk::Window.new
vbox = Gtk::VBox.new(size_group)
vbox.show_all
window.add(vbox)
window.show_all
window.move(0, 0)
window.set_size_request(400, 400)
Gtk.main